{ config, pkgs, lib, ... }:

{
  imports =
    [
      ../../base.nix
      ../../common/metrics-exporters.nix
      ../../common/auto-upgrade.nix
      ./hardware-configuration.nix
  ];

  networking = {
    hostName = "morn";
    defaultGateway = "192.168.10.1";
    interfaces.ens18.ipv4 = {
      addresses = [
        { address = "192.168.10.203"; prefixLength = 24; }
      ];
    };
    hostId = "89b7722d";
  };

  sops.defaultSopsFile = ../../secrets/burnham/burnham.yaml;

  environment.variables = { EDITOR = "vim"; };

  system.stateVersion = "24.11";
}

